openstack.block_storage.v2.snapshot
===================================

.. automodule:: openstack.block_storage.v2.snapshot

The Snapshot Class
------------------

The ``Snapshot`` class inherits from :class:`~openstack.resource.Resource`.

.. autoclass:: openstack.block_storage.v2.snapshot.Snapshot
   :members:

The SnapshotDetail Class
------------------------

The ``SnapshotDetail`` class inherits from
:class:`~openstack.block_storage.v2.snapshot.Snapshot`.

.. autoclass:: openstack.block_storage.v2.snapshot.SnapshotDetail
   :members:
